{
    "$schema": "https://unpkg.com/knip@5/schema.json",
    "project": [
        "src/**",
        "**",
        "!src/schemas/public/*.ts",
        "!emails/**"
    ],
    "ignore": [
        ".kanelrc.js",
        ".eslintrc.json",
        "TypeHelpers.type.ts",
        "src/utils/api.ts",
        "src/server/api/trpc.ts",
        "check-env-vars.js",
        "src/components/ui/*",
        "src/hooks/coordDistance.ts",
        "src/hooks/useMobile.tsx",
        "src/lib/nossr.tsx",
        "src/lib/useIsTyping.ts",
        "src/middlewares/apis_middleware.ts",
        "src/server/auth.ts",
        "src/utils/get-media-url.ts",
        "src/utils/utils.ts"
    ],
    "ignoreBinaries": [
        "stripe"
    ],
    "ignoreDependencies": [
        "kysely-plugin-serialize",
        "sharp",
        "uuid",
        "@react-email/components",
        "@eslint/compat",
        "@next/eslint-plugin-next",
        "@prettier/sync",
        "@types/eslint",
        "@types/uuid",
        "eslint-config-next",
        "eslint-import-resolver-typescript",
        "eslint-plugin-import",
        "eslint-plugin-react-hooks",
        "kanel-kysely",
        "npm-run-all",
        "typescript-eslint",
        "@react-email/preview-server",
        "@tailwindcss/forms",
        "@tailwindcss/typography",
        "tailwind-scrollbar",
        "tw-animate-css",
        "@radix-ui/react-dialog",
        "@radix-ui/react-label",
        "@radix-ui/react-slot",
        "@radix-ui/react-tooltip",
        "@radix-ui/react-popover"
    ]
}